# ipe::ObjectFactory Class Reference
Ipe Utilities

Factory for Ipe leaf objects. More...

`#include <ipefactory.h>`

List of all members.

## Static Public Member Functions

- static Object * createObject (String name, const XmlAttributes &attr, String data)
- static Object * createImage (String name, const XmlAttributes &attr, Bitmap bitmap)

## Detailed Description

Factory for Ipe leaf objects.

## Member Function Documentation

Object * ObjectFactory::createObject | ( | String | name,
|  | const XmlAttributes & | attr,
|  | String | data
| ) |  | `[static]`

Create an Ipe object by calling the right constructor.

Object * ObjectFactory::createImage | ( | String | name,
|  | const XmlAttributes & | attr,
|  | Bitmap | bitmap
| ) |  | `[static]`

Create an Image with a given bitmap.

The documentation for this class was generated from the following files:

- ipefactory.h
- ipefactory.cpp